## Get Coupon

### cURL
```bash
curl --request GET \
  --url https://api.withflex.com/v1/coupons/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python
```python
import requests

url = "https://api.withflex.com/v1/coupons/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/coupons/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/coupons/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/coupons/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)
```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/coupons/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/coupons/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Status Codes
- **200**: Success
- **401**: Unauthorized
- **403**: Forbidden
- **404**: Not Found
- **409**: Conflict
- **422**: Unprocessable Entity
- **429**: Too Many Requests

### Example Response
```json
{
  "coupon": {
    "coupon_id": "fcoup_1234567890",
    "amount_off": 2500,
    "duration": "once",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "name": "Example",
    "valid": false,
    "created_at": "2026-06-15T14:30:00Z",
    "test_mode": false
  }
}
```

### Error Response
```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorizations
- **Authorization**: string, header, required
  - Use a Bearer token to access this API.

### Path Parameters
- **id**: string, required
  - Example: "fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

### Response Description
- **200** application/json: An envelope wrapping a single coupon object.

### Coupon Object Example
```json
{
  "coupon_id": "fcoup_1234567890",
  "amount_off": 2500,
  "applies_to": { "products": [] },
  "duration": "once",
  "metadata": { "order_id": "8842", "channel": "shopify" },
  "name": "Example",
  "valid": false,
  "created_at": "2026-06-15T14:30:00Z",
  "test_mode": false
}
```
